;======================================================================
;                   Novell Messenger 1.0-Nachrichtenagent
;                         Beispiel-Startup-Datei
;----------------------------------------------------------------------
;  Ersetzen Sie die Werte in eckigen Klammern durch Ihre eigenen Werte.
;
;  Alle optionalen Schalter wurden durch Voranstellen eines Strichpunkts
;  deaktiviert. Entfernen Sie den Strichpunkt, um den Schalter zu aktivieren.
;
;  Speichern Sie die Datei im ASCII-Format.  
;
;  Unter NetWare, Linux und Windows wird dieselbe Startup-Datei verwendet. Der
;  Linux-Nachrichtenagent akzeptiert das Schrägstrich-Schalterformat
;  (z. B. /home) zusätzlich zum standardmäßigen Linux-Schalterformat mit
;  doppeltem Bindestrich (--home). Der Linux-Nachrichtenagent erwartet, dass Pfadnamen
;  im standardmäßigen Linux-Dateisystemformat angegeben werden.
;----------------------------------------------------------------------
;  Diese Beispieldatei ist in zwei Abschnitte unterteilt:
;  1) Einstellungen, die nur als Startup-Schalter verfügbar sind
;    - Allgemeine Schalter
;    - Schalter für NLM (NetWare Loadable Module)
;  2) Einstellungen, die in ConsoleOne geändert werden sollten,
;     aber auch als Startup-Schalter verfügbar sind
;    - Schalter für die Ereignisprotokollierung
;    - Schalter für die Leistung
;    - Client/Server-Schalter
;======================================================================

;======================================================================
;                             ABSCHNITT 1:
;             EINSTELLUNGEN, DIE NUR ALS STARTUP-SCHALTER VERFÜGBAR SIND
;======================================================================

;----------------------------------------------------------------------
;  DN des Nachrichtenagenten
;  Beispiel: CN=Nachrichtenagent,OU=NMServer1,OU=Messenger-Service,O=Novell
;----------------------------------------------------------------------
;/home-[DN-Format]

;----------------------------------------------------------------------
;  Sprache
;----------------------------------------------------------------------
;/language-[ EN | DE | JA ]

;----------------------------------------------------------------------
;  Benutzer und Passwort für den Agenten zum Lesen von Einstellungen aus dem Verzeichnis
;----------------------------------------------------------------------
;/user-[Benutzer-ID]
;/password-[Passwort]


;====================== VERZEICHNISKONFIGURATION =======================

;----------------------------------------------------------------------
; IP-Adresse der Verzeichnisreproduktion
; Gibt die Adresse der Verzeichnisreproduktion an.
;----------------------------------------------------------------------
;/dirreplicaipaddr-[Adresse]

;----------------------------------------------------------------------
; Direkten Verzeichnismodus für Benutzersitzung erzwingen
; Gibt an, dass der Verzeichnismodus für den Benutzerzugriff "Direkt" lautet.
; Dadurch werden LDAP-Profile ignoriert.
;----------------------------------------------------------------------
;/diruserforcedirect

;----------------------------------------------------------------------
; Verzeichnisbenutzerbeglaubigung über Bindung
; Gibt an, ob die Benutzerbeglaubigung über eine Bindung oder einen
; Vergleich erfolgt. Der Standardwert ist "Vergleich".
;----------------------------------------------------------------------
;/diruserauthbind

;----------------------------------------------------------------------
; Zeitüberschreitung für Zurücksetzung eines Servers im Verzeichnispool
; Gibt die Zeitspanne an, nach der ein Problemserver wieder in den Pool 
; zurückgesetzt wird.
;----------------------------------------------------------------------
;/dirpoolresettime-[Minuten]

;----------------------------------------------------------------------
; Alias für Verzeichnisbenutzer-ID
; Gibt das Attribut an, das anstelle des CN für Benutzerbeglaubigungen,
; Suchvorgänge usw. verwendet werden soll.
;----------------------------------------------------------------------
;/diruseralias-[Attributname]


;================ NACHRICHTENTRANSPORTPROTOKOLL-SCHALTER ==================

;----------------------------------------------------------------------
; Nachrichtentransportprotokoll für diesen Agenten deaktivieren
;----------------------------------------------------------------------
;/nomtp

;----------------------------------------------------------------------
; MTP-Verbindungszeitüberschreitung
; Gibt in Sekunden an, wie lange eine Verbindung dauert, bevor
; sie durch Zeitüberschreitung beendet wird.
;----------------------------------------------------------------------
;/mtpconnecttimeout-[Sekunden]

;----------------------------------------------------------------------
; MTP-Datenzeitüberschreitung
; Gibt in Sekunden an, wie lange eine Anforderung auf Daten wartet, bevor
; sie durch Zeitüberschreitung beendet wird.
;----------------------------------------------------------------------
;/mtpdatatimeout-[Sekunden]

;----------------------------------------------------------------------
; MTP-Sendeziel-Anschlussnummer
; Gibt die Nummer des Anschlusses an, an den das MTP für die MTP-Dateiübertragung
; gebunden wird.
;----------------------------------------------------------------------
;/mtpport-[Anschlussnummer]

;----------------------------------------------------------------------
; MTP-Sendeziel-IP-Adresse
; Gibt die IP-Adresse an, an die der Agent für die MTP-Dateiübertragung
; gebunden wird.
;----------------------------------------------------------------------
;/mtpipaddr-[Adresse]


;======================= SCHALTER FÜR NLM ========================

;----------------------------------------------------------------------
;  Simple Network Management Protocol (SNMP)
;  Der Nachrichtenagent ist standardmäßig für SNMP aktiviert.
;----------------------------------------------------------------------
;/nosnmp

;----------------------------------------------------------------------
;  Nachrichtenagent informieren, dass er in einem Cluster ausgeführt wird
;----------------------------------------------------------------------
;/cluster

;======================================================================
;                             ABSCHNITT 2:
;                    IN CONSOLEONE VERFÜGBARE EINSTELLUNGEN
;======================================================================

;====================== VERZEICHNISKONFIGURATION =======================

;----------------------------------------------------------------------
; Max. Verzeichnisabfrageergebnisse
; Gibt die maximale Anzahl der Ergebnisse an, die für eine Abfrage
; an das Verzeichnis zurückgegeben werden.
;----------------------------------------------------------------------
;/dirquerymaxresults-[Zahl]

;----------------------------------------------------------------------
; Verzeichnisleerlauf-Zeitüberschreitung
; Gibt die Zeitspanne an, nach der eine inaktive Verzeichnisverbindung
; getrennt wird.
;----------------------------------------------------------------------
;/diridletimeout-[Sekunden]

;----------------------------------------------------------------------
; Max. Verzeichnisverbindungen
; Gibt die maximale Anzahl von Verzeichnisverbindungen an.
;----------------------------------------------------------------------
;/dirmaxconnections-[Zahl]

;----------------------------------------------------------------------
; Standardanzahl für Verzeichnisverbindungen
; Gibt die Standardanzahl für Verzeichnisverbindungen an.
;----------------------------------------------------------------------
;/dirdefaultconnections-[Zahl]


;=========================== SCHALTER FÜR DIE EREIGNISPROTOKOLLIERUNG =============================

;----------------------------------------------------------------------
;  Protokollierumfang
;  Wählt die einfache Fehlerprotokollierung (Normal), Basisdetails (Verbose)
;  oder vollständige Details (Diagnostic) aus.
;----------------------------------------------------------------------
;/loglevel-[ Normal | Verbose | Diagnostic ]

;----------------------------------------------------------------------
;  Datenträgerprotokollierung
;  Deaktiviert das Schreiben der Protokolldatei auf den Datenträger.
;----------------------------------------------------------------------
;/logdiskoff

;----------------------------------------------------------------------
;  Protokollverzeichnis
;----------------------------------------------------------------------
;/log-\\[Server]\[Volume]\[Verzeichnis]

;----------------------------------------------------------------------
;  Protokollalter
;  Bestimmt, wie lange (in Tagen) eine Protokolldatei auf dem Datenträger
;  verbleibt, bevor sie automatisch gelöscht wird.
;----------------------------------------------------------------------
;/logdays-[Tage]

;----------------------------------------------------------------------
;  Protokollspeicher
;  Bestimmt den maximalen Speicherplatz (in Megabyte), der für alle Protokolldateien zusammen verwendet wird.
;----------------------------------------------------------------------
;/logmax-[MB]

;===================== SSL-ZERTIFIKATSCHALTER =======================

;----------------------------------------------------------------------
;  SSL für die Client/Server-Kommunikations-Pipe aktivieren
;----------------------------------------------------------------------
;/ssl-[enable | disable]

;----------------------------------------------------------------------
;  SSL-Zertifikat
;  Gültiges Serverzertifikat im PEM- oder PFX-Format, das von einer
;  Zertifizierungsstelle (CA) abgerufen wird.
;----------------------------------------------------------------------
;/certpath-\\[Server]\[Volume]\[Verzeichnis]
;/certfile-\\[Server]\[Volume]\[Verzeichnis]\[Zertifikat]
;/keyfile-\\[Server]\[Volume]\[Verzeichnis]\[private key]
;/keypassword-[Schlüsselpasswort]

;====================== CLIENT/SERVER-SCHALTER ========================

;----------------------------------------------------------------------
;  TCP-Anschlussnummer
;  Gibt die Nummer des Anschlusses an, an dem der Nachrichtenagent auf 
;  Client/Server-Anforderungen wartet.
;  Der Standardanschluss ist 8300.
;  Wenn mehrere Nachrichtenagent-Exemplare zur Verarbeitung von Client/Server-
;  Anforderungen auf einem Rechner vorhanden sind, müssen Sie für jedes 
;  Exemplar einen anderen Anschluss angeben.
;----------------------------------------------------------------------
;/port-[Zahl]

;----------------------------------------------------------------------
;  TCP/IP-Adresse
;  Gibt die IP-Adresse an, an der der Nachrichtenagent auf Client/Server-
;  Anforderungen wartet. Der Standardwert ist die erste Adresse, die der 
;  Nachrichtenagent findet und die auf dem Server definiert ist.
;  Dieser Schalter weist den Nachrichtenagenten an, eine bestimmte 
;  Adresse zu überwachen.
;----------------------------------------------------------------------
;/ip-[Adresse]

;----------------------------------------------------------------------
;  Max. Verbindungen
;  Die Anzahl der Client/Server-Verbindungen, die der Server zulässt.
;  Der Standardwert beträgt 5120 (5K).
;----------------------------------------------------------------------
;/maxconns-[Zahl]

;----------------------------------------------------------------------
;  Anzahl der TCP-Verarbeitungs-Threads
;  Legt fest, wie viele Threads der Nachrichtenagent für die Verarbeitung von
;  Client/Server-Anforderungen einsetzt. Der Standardwert beträgt 15.
;----------------------------------------------------------------------
;/threads-[Zahl]


;================ NACHRICHTENTRANSPORTPROTOKOLL-SCHALTER ==================

;----------------------------------------------------------------------
;  Warteschlangenverzeichnis
;----------------------------------------------------------------------
;/queue-\\[Server]\[Volume]\[Verzeichnis]


;================= SCHALTER FÜR DIE HTTP-NACHRICHTENVERARBEITUNG ===================

;----------------------------------------------------------------------
; HTTP-Anschlussnummer
; Aktiviert die Verwendung von HTTP für Browser-Abfragen und gibt die zu 
; verwendende Anschlussnummer an. Im Client/Server-Modus muss dies dieselbe Anschlussnummer sein.
; Zahl
;----------------------------------------------------------------------
;/httpport-[Anschlussnummer]

;----------------------------------------------------------------------
; Benutzername für die Beglaubigung des Benutzers, der HTTP-Informationen anfordert
;----------------------------------------------------------------------
;/httpuser-[Benutzer-ID]

;----------------------------------------------------------------------
; Benutzerpasswort für die Beglaubigung des Benutzers, der HTTP-Informationen anfordert
;----------------------------------------------------------------------
;/httppassword-[Passwort]

;----------------------------------------------------------------------
;  SSL für HTTPS aktivieren
;----------------------------------------------------------------------
;/httpssl-[enable | disable]


;=================== SCHALTER FÜR DIE LDAP-BEGLAUBIGUNG =====================

;----------------------------------------------------------------------
;  LDAP-Benutzername
;  Diese LDAP-Benutzer-ID wird vom Nachrichtenagenten zur Herstellung einer 
;  Verbindung zum LDAP-Server verwendet, um dessen Konfiguration zu lesen. Verwenden Sie 
;  das folgende Format: "cn=Benutzer-ID,ou=Gruppe,ou=Abteilung,o=Organisation"
;----------------------------------------------------------------------
;/ldapuser-[DN-Format]  

;-----------------------------------------------------------------------
;  Passwort für den LDAP-Benutzer													
;-----------------------------------------------------------------------
;/ldappwd-[Passwort]        

;-----------------------------------------------------------------------
;  IP-Adresse des LDAP-Servers
;  Die IP-Adresse des LDAP-Servers im Format mit Punkten oder im DNS-Format. Wenn mehrere
;  LDAP-Beglaubigungsserveradressen angegeben werden, werden diese vom
;  LDAP-Server als Failover eingesetzt. Die Adressen sollten im folgenden 
;  Format angegeben werden: "123.3.4.1 123.4.5.2 123.3.4.5" mit einem Leerschritt 
;  zwischen den einzelnen Adressen.
;-----------------------------------------------------------------------
;/ldapipaddr-[Adresse]  

;-----------------------------------------------------------------------
;  LDAP-Anschlussnummer
;  Die Nummer des Anschlusses, den der LDAP-Server für die Beglaubigung überwacht.
;  Der Standardwert ist 389. Mithilfe dieses Schalters wird der LDAP-Anschluss 
;  für den Failover-Modus angegeben.
;------------------------------------------------------------------------ 
;/ldapport-[Zahl]      

;------------------------------------------------------------------------
;  SSL für LDAP aktivieren
;  Teilt dem Nachrichtenagenten mit, ob diese LDAP-Beglaubigung SSL für den 
;  Failover-Modus verwendet.
;------------------------------------------------------------------------
;/ldapssl               

;------------------------------------------------------------------------
;  LDAP-SSL-Schlüsseldatei
;  Gibt den SSL-Schlüsselnamen, z. B. gwkey.der an. Dieser Schalter wird für 
;  den Failover-Modus verwendet.
;------------------------------------------------------------------------
;/ldapsslkey-[Name]    

;========================== ENDE DER DATEI ===============================
