;======================================================================
;                   Novell Messenger 1.0 Messaging Agent
;                         Sample Startup File
;----------------------------------------------------------------------
;  Replace the values in the square brackets with your own values.
;
;  All optional switches are disabled by placing a semicolon in front
;  of the switch.  Remove the semicolon to enable the switch.
;
;  Be sure to save in ASCII format.  
;----------------------------------------------------------------------
;  This sample file is divided into two sections:
;  1) Settings only available as startup switches
;    - General
;    - NetWare Loadable Module (NLM) Specific
;  2) Settings that are recommended to be modified from the ConsoleOne
;     but are also available as startup switches.
;    - Event Logging
;    - Performance
;    - Client/Server
;======================================================================

;======================================================================
;                             SECTION 1:
;             SETTINGS AVAILABLE ONLY AS STARTUP SWITCHES
;======================================================================

;----------------------------------------------------------------------
;  DN of the Messaging Agent, 
;  Example: CN=MessagingAgent,OU=NMServer1,OU=MessengerService,O=Novell
;----------------------------------------------------------------------
;/home-[DN Format]

;----------------------------------------------------------------------
;  Language
;----------------------------------------------------------------------
;/language-[ EN | DE | JA ]

;----------------------------------------------------------------------
;  User and password for agent to read settings from the directory.
;----------------------------------------------------------------------
;/user-[user ID]
;/password-[password]


;====================== DIRECTORY CONFIGURATION =======================

;----------------------------------------------------------------------
; Directory Replica IP Address
; Specifies the address of the directory replica.
;----------------------------------------------------------------------
;/dirreplicaipaddr-[address]

;----------------------------------------------------------------------
; Force User Session to use Direct
; Specifies that the directory mode for user access is direct.
; This will cause LDAP profiles to be ignored.
;----------------------------------------------------------------------
;/diruserforcedirect

;----------------------------------------------------------------------
; Directory User Authentication via Bind
; Specifies whether user authentication is performed via a bind or a
; comparison. Default is comparison.
;----------------------------------------------------------------------
;/diruserauthbind

;----------------------------------------------------------------------
; Directory Pool Reset Time
; Specifies the amount of time before putting a problem server back to
; the pool.
;----------------------------------------------------------------------
;/dirpoolresettime-[minutes]

;----------------------------------------------------------------------
; Directory UserID Alias
; Specifies the attribute to use instead of CN for user authentications
; and searches etc.
;----------------------------------------------------------------------
;/diruseralias-[attribute name]


;================ MESSAGE TRANSFER PROTOCOL SWITCHES ==================

;----------------------------------------------------------------------
; Disable Message Transfer Protocol for this agent
;----------------------------------------------------------------------
;/nomtp

;----------------------------------------------------------------------
; MTP Connect Timeout
; Specifies, in seconds, how long a connection will last before it
; is timed out.
;----------------------------------------------------------------------
;/mtpconnecttimeout-[seconds]

;----------------------------------------------------------------------
; MTP Data Timeout
; Specifies, in seconds, how long a request will wait for data before 
; it is timed out.
;----------------------------------------------------------------------
;/mtpdatatimeout-[seconds]

;----------------------------------------------------------------------
; MTP Send Destination Port Number
; Specifies the port number that the MTP will bind to for the MTP file
; transfer.
;----------------------------------------------------------------------
;/mtpport-[port number]

;----------------------------------------------------------------------
; MTP Send Destination IP Address
; Specifies the IP address that the agent will bind to for the MTP file
; transfer.
;----------------------------------------------------------------------
;/mtpipaddr-[address]


;======================= NLM SPECIFIC SWITCHES ========================

;----------------------------------------------------------------------
;  Simple Network Management Protocol (SNMP)
;  The Messaging Agent is SNMP-enabled by default.
;----------------------------------------------------------------------
;/nosnmp

;----------------------------------------------------------------------
;  Inform Messaging Agent that it is running in a cluster
;----------------------------------------------------------------------
;/cluster

;======================================================================
;                             SECTION 2:
;                    SETTINGS AVAILABLE IN ConsoleOne
;======================================================================

;====================== DIRECTORY CONFIGURATION =======================

;----------------------------------------------------------------------
; Directory Query Maximum Results
; Specifies the maximum number of results that will be returned for any
; request to the directory.
;----------------------------------------------------------------------
;/dirquerymaxresults-[number]

;----------------------------------------------------------------------
; Directory Idle Timeout
; Specifies the amount of time before an inactive directory connection
; closes down.
;----------------------------------------------------------------------
;/diridletimeout-[seconds]

;----------------------------------------------------------------------
; Directory Maximum Connections
; Specifies the maximum number of directory connections
;----------------------------------------------------------------------
;/dirmaxconnections-[number]

;----------------------------------------------------------------------
; Directory Default Connections
; Specifies the default number of directory connections
;----------------------------------------------------------------------
;/dirdefaultconnections-[number]


;=========================== LOG SWITCHES =============================

;----------------------------------------------------------------------
;  Log Level
;  Selects error logging only (Normal) or basic details (Verbose)
;  or full details (Diagnostic).
;----------------------------------------------------------------------
;/loglevel-[ Normal | Verbose | Diagnostic ]

;----------------------------------------------------------------------
;  Disk Logging
;  Disables writing logfile to disk.
;----------------------------------------------------------------------
;/logdiskoff

;----------------------------------------------------------------------
;  Log Directory
;----------------------------------------------------------------------
;/log-\\[server]\[volume]\[directory]

;----------------------------------------------------------------------
;  Maximum Logfile Age
;  Determines how long (number of days) a logfile resides on the disk
;  before being automatically deleted.
;----------------------------------------------------------------------
;/logdays-[days]

;----------------------------------------------------------------------
;  Maximum Log Disk Space
;  Determines the maximum disk space (megabytes) used for all logfiles.
;----------------------------------------------------------------------
;/logmax-[mb]

;===================== SSL CERTIFICATE SWITCHES =======================

;----------------------------------------------------------------------
;  Enable SSL on the C/S communication pipe
;----------------------------------------------------------------------
;/ssl-[enable | disable]

;----------------------------------------------------------------------
;  SSL Certificate
;  Valid server certificate in PEM or PFX format obtained from a
;  Certificate Authority ( CA ).
;----------------------------------------------------------------------
;/certpath-\\[server]\[volume]\[directory]
;/certfile-\\[server]\[volume]\[directory]\[certificate]
;/keyfile-\\[server]\[volume]\[directory]\[private key]
;/keypassword-[key password]

;====================== CLIENT/SERVER SWITCHES ========================

;----------------------------------------------------------------------
;  TCP Port Number
;  Specifies the port number that the Messaging Agent will listen for 
;  C/S requests.
;  The default port is 8300.
;  If you have multiple Messaging Agent instances servicing C/S 
;  requests running on the same machine, you must specify a different 
;  port for each instance.
;----------------------------------------------------------------------
;/port-[number]

;----------------------------------------------------------------------
;  TCP IP Address
;  Specifies the IP address that the Messaging Agent will listen for 
;  C/S requests. The default is the first one that Messaging Agent can 
;  find and which are defined on the server.
;  This switch will tell the Messaging Agent to listen to specific 
;  address.
;----------------------------------------------------------------------
;/ip-[address]

;----------------------------------------------------------------------
;  Maximum connections
;  Number of Client/Server connections the server will allow.
;  The default is 5120 (5K).
;----------------------------------------------------------------------
;/maxconns-[number]

;----------------------------------------------------------------------
;  Number of TCP Processing Threads
;  Sets how many threads the Messaging Agent spawns for handling
;  Client/Server requests. The default is 15.
;----------------------------------------------------------------------
;/threads-[number]


;================ MESSAGE TRANSFER PROTOCOL SWITCHES ==================

;----------------------------------------------------------------------
;  Queue Directory
;----------------------------------------------------------------------
;/queue-\\[server]\[volume]\[directory]


;================= HTTP MESSAGE PROCESSING SWITCHES ===================

;----------------------------------------------------------------------
; Enable use of http for browser queries and port number to use
; when client/server mode is used, this must use the same port number
;----------------------------------------------------------------------
;/httpport-[port number]

;----------------------------------------------------------------------
; User name for Authenticating requester of HTTP information
;----------------------------------------------------------------------
;/httpuser-[user ID]

;----------------------------------------------------------------------
; User password for Authenticating requester of HTTP information
;----------------------------------------------------------------------
;/httppassword-[password]

;----------------------------------------------------------------------
;  Enable SSL for Https
;----------------------------------------------------------------------
;/httpssl-[enable | disable]


;=================== LDAP AUTHENTICATION SWITCHES =====================

;----------------------------------------------------------------------
;  This LDAP user ID is used by Messaging Agent to establish connection 
;  with the LDAP server to read its configuration. The format should be 
;  like this "cn=userid,ou=group,ou=division,o=organization"
;----------------------------------------------------------------------
;/ldapuser-[DN format]  

;-----------------------------------------------------------------------
;  The password for the LDAP user													
;-----------------------------------------------------------------------
;/ldappwd-[password]        

;-----------------------------------------------------------------------
;  The LDAP server's IP address in dotted format or DNS format.  If multiple
;  LDAP authentication servers addresses are specified, they will be used
;  by LDAP server in the FAILOVER manner. [address] should be specified 
;  in this format: "123.3.4.1 123.4.5.2 123.3.4.5"  with a space in between 
;  each address
;-----------------------------------------------------------------------
;/ldapipaddr-[address]  

;-----------------------------------------------------------------------
;  The port number that the LDAP server will listen on for authentication
;  default is 389. This switch is used to specify the ldap port for failover
;  mode.
;------------------------------------------------------------------------ 
;/ldapport-[number]      

;------------------------------------------------------------------------
;  Indicate to the Messaging Agent whether this LDAP authentication is 
;  using SSL for failover mode
;------------------------------------------------------------------------
;/ldapssl               

;------------------------------------------------------------------------
;  Specify the SSL Key file name e.g. gwkey.der  This switch is used for  
;  failover mode
;------------------------------------------------------------------------
;/ldapsslkey-[name]    

;========================== END OF FILE ===============================
