;======================================================================
;                   Agente de mensajería de Novell Messenger 1.0
;                         Archivo de inicio de muestra
;----------------------------------------------------------------------
;  Sustituya los valores que aparecen entre corchetes por sus propios valores.
;
;  Todos los conmutadores opcionales se deshabilitan colocando un punto y coma
;  delante del conmutador. Elimine el punto y coma para habilitar el conmutador.
;
;  Asegúrese de guardar en formato ASCII.  
;
;  El mismo archivo de inicio se usa en NetWare, Linux y Windows. El
;  Agente de mensajería de Linux puede aceptar el formato de conmutador con
;  barra normal (por ejemplo, /home) además del formato de conmutador de guión
;  doble propio de Linux (--home). El Agente de mensajería de Linux espera
;  que se proporcionen los nombres de las vías de acceso en el formato estándar
;  de sistema de archivos de Linux.
;----------------------------------------------------------------------
;  Este archivo de muestra está dividido en dos secciones:
;  1) Ajustes que sólo están disponibles como conmutadores de inicio
;    - Generales
;    - Específicos para el módulo cargable de NetWare (NLM)
;  2) Ajustes que deben modificarse desde ConsoleOne
;     pero que también están disponibles como conmutadores de inicio.
;    - Registro de eventos
;    - Rendimiento
;    - Cliente/servidor
;======================================================================

;======================================================================
;                             SECCIÓN 1:
;             AJUSTES DISPONIBLES SÓLO COMO CONMUTADORES DE INICIO
;======================================================================

;----------------------------------------------------------------------
;  DN del Agente de mensajería.
;  Ejemplo: CN=Agente_mensajería,OU=Servidor1_NM,OU=Servicio_mensajería,O=Novell
;----------------------------------------------------------------------
;/home-[Formato de nombre completo]

;----------------------------------------------------------------------
;  Idioma
;----------------------------------------------------------------------
;/language-[ EN | DE | JA ]

;----------------------------------------------------------------------
;  Usuario y contraseña para que el agente lea los ajustes del Directorio.
;----------------------------------------------------------------------
;/user-[ID de usuario]
;/password-[contraseña]


;====================== CONFIGURACIÓN DEL DIRECTORIO =======================

;----------------------------------------------------------------------
; Dirección IP de la réplica del Directorio
; Especifica la dirección de la réplica del Directorio.
;----------------------------------------------------------------------
;/dirreplicaipaddr-[dirección]

;----------------------------------------------------------------------
; Forzar la sesión del usuario para que el acceso sea directo
; Especifica que el modo del Directorio para el acceso de los usuarios sea
; directo.
; Esto provoca que se haga caso omiso de los perfiles LDAP.
;----------------------------------------------------------------------
;/diruserforcedirect

;----------------------------------------------------------------------
; Autenticación del usuario del Directorio a través de una asociación
; Especifica si la autenticación del usuario se realiza mediante una asociación
; o una comparación. Por defecto, la autenticación se realiza mediante
; comparación.
;----------------------------------------------------------------------
;/diruserauthbind

;----------------------------------------------------------------------
; Hora de reinicio del repositorio del Directorio
; Especifica el tiempo que transcurrirá antes de colocar de nuevo el servidor de
; problemas en el repositorio.
;----------------------------------------------------------------------
;/dirpoolresettime-[minutos]

;----------------------------------------------------------------------
; Alias del ID de usuario del Directorio
; Especifica el atributo que se debe usar en lugar del CN para las
; autenticaciones de usuarios, las búsquedas, etc.
;----------------------------------------------------------------------
;/diruseralias-[nombre de atributo]


;=========== CONMUTADORES DE PROTOCOLO DE TRANSFERENCIA DE MENSAJES ============

;----------------------------------------------------------------------
; Inhabilita el protocolo de transferencia de mensajes para este agente
;----------------------------------------------------------------------
;/nomtp

;----------------------------------------------------------------------
; Tiempo límite de conexión de MTP
; Especifica, en segundos, cuánto dura una conexión antes de
; que se agote su tiempo.
;----------------------------------------------------------------------
;/mtpconnecttimeout-[segundos]

;----------------------------------------------------------------------
; Tiempo límite de datos MTP
; Especifica, en segundos, cuánto espera una petición para obtener datos antes
; de que se agote su tiempo.
;----------------------------------------------------------------------
;/mtpdatatimeout-[segundos]

;----------------------------------------------------------------------
; Número de puerto de destino para enviar MTP
; Especifica el número de puerto al que se conecta MTP para las transferencias
; de archivos MTP.
;----------------------------------------------------------------------
;/mtpport-[número de puerto]

;----------------------------------------------------------------------
; Dirección IP de destino para enviar MTP
; Especifica la dirección IP que a la que se conecta el agente para las
; transferencias de archivos MTP.
;----------------------------------------------------------------------
;/mtpipaddr-[dirección]


;==================== CONMUTADORES ESPECÍFICOS PARA NLM ========================

;----------------------------------------------------------------------
;  Inhabilitación del protocolo de gestión de red simple (SNMP)
;  Por defecto, el Agente de mensajería tiene habilitado el protocolo SNMP.
;----------------------------------------------------------------------
;/nosnmp

;----------------------------------------------------------------------
;  Informa al Agente de mensajería de que se está ejecutando en un clúster.
;----------------------------------------------------------------------
;/cluster

;======================================================================
;                             SECCIÓN 2:
;                    AJUSTES DISPONIBLES EN ConsoleOne
;======================================================================

;====================== CONFIGURACIÓN DEL DIRECTORIO =======================

;----------------------------------------------------------------------
; Número máximo de resultados para una consulta al Directorio
; Especifica el número máximo de resultados que se devolverá para las peticiones
; realizadas al Directorio.
;----------------------------------------------------------------------
;/dirquerymaxresults-[número]

;----------------------------------------------------------------------
; Tiempo de espera de inactividad del Directorio
; Especifica el tiempo que transcurrirá antes de que se cierre una conexión
; inactiva con el Directorio.
;----------------------------------------------------------------------
;/diridletimeout-[segundos]

;----------------------------------------------------------------------
; Número máximo de conexiones con el Directorio
; Especifica el número máximo de conexiones con el Directorio.
;----------------------------------------------------------------------
;/dirmaxconnections-[número]

;----------------------------------------------------------------------
; Conexiones por defecto con el Directorio
; Especifica el número por defecto de las conexiones con el Directorio.
;----------------------------------------------------------------------
;/dirdefaultconnections-[número]


;======================== CONMUTADORES DE REGISTRO =============================

;----------------------------------------------------------------------
;  Nivel del registro
;  Puede seleccionar que se registren los errores sólo (Normal), que se incluyan
;  detalles básicos (Verbose) o todos los detalles (Diagnostic).
;----------------------------------------------------------------------
;/loglevel-[ Normal | Verbose | Diagnostic ]

;----------------------------------------------------------------------
;  Registro en disco
;  Desactiva la escritura del archivo de registro en el disco.
;----------------------------------------------------------------------
;/logdiskoff

;----------------------------------------------------------------------
;  Directorio de registro
;----------------------------------------------------------------------
;/log-\\[servidor]\[volumen]\[directorio]

;----------------------------------------------------------------------
;  Antigüedad máxima
;  Determina la cantidad máxima de tiempo (número de días) durante los cuales
;  reside un archivo de registro en el disco antes de que se elimine
;  automáticamente.
;----------------------------------------------------------------------
;/logdays-[días]

;----------------------------------------------------------------------
;  Espacio máximo de disco de registro
;  Determina el espacio en disco máximo (en megabytes) usado para todos los
;  archivos de registro.
;----------------------------------------------------------------------
;/logmax-[MB]

;===================== CONMUTADORES PARA CERTIFICADOS SSL =====================

;----------------------------------------------------------------------
;  Habilita SSL en el conducto de comunicaciones entre el cliente y el servidor.
;----------------------------------------------------------------------
;/ssl-[enable | disable]

;----------------------------------------------------------------------
;  Certificado SSL
;  Certificado de servidor válido en formato PEM o PFX obtenido a partir de
;  una autoridad certificadora.
;----------------------------------------------------------------------
;/certpath-\\[servidor]\[volumen]\[directorio]
;/certfile-\\[servidor]\[volumen]\[directorio]\[certificado]
;/keyfile-\\[servidor]\[volumen]\[directorio]\[clave privada]
;/keypassword-[contraseña de clave]

;====================== CONMUTADORES PARA CLIENTE/SERVIDOR =====================

;----------------------------------------------------------------------
;  Número del puerto TCP
;  Especifica el número del puerto mediante el que el Agente de mensajería
;  escucha las las peticiones cliente/servidor.
;  El puerto por defecto es 8300.
;  Si hay varios Agentes de mensajería que den servicio a las peticiones 
;  cliente/servidor ejecutándose en el mismo equipo, deberá especificar un 
;  puerto diferente para cada uno de ellos.
;----------------------------------------------------------------------
;/port-[número]

;----------------------------------------------------------------------
;  Dirección TCP/IP
;  Especifica la dirección IP mediante la que el Agente de mensajería escucha
;  las peticiones cliente/servidor. El valor por defecto será el primero que
;  encuentre el Agente de mensajería y que esté definido en el servidor.
;  Este conmutador indica al Agente de mensajería que escuche a través de una
;  dirección específica.
;----------------------------------------------------------------------
;/ip-[dirección]

;----------------------------------------------------------------------
;  Número máximo de conexiones
;  Número de conexiones cliente/servidor que permite el servidor.
;  El valor por defecto es 5120 (5 k).
;----------------------------------------------------------------------
;/maxconns-[número]

;----------------------------------------------------------------------
;  Número de hilos de procesamiento TCP
;  Define cuántos hilos genera el Agente de mensajería para gestionar
;  las peticiones cliente/servidor. El valor por defecto es 15.
;----------------------------------------------------------------------
;/threads-[número]


;=========== CONMUTADORES DE PROTOCOLO DE TRANSFERENCIA DE MENSAJES ============

;----------------------------------------------------------------------
;  Directorio de cola
;----------------------------------------------------------------------
;/queue-\\[servidor]\[volumen]\[directorio]


;=============== CONMUTADORES DE PROCESAMIENTO DE MENSAJES HTTP ================

;----------------------------------------------------------------------
; Número de puerto HTTP
; Habilita el uso de HTTP para consultas de navegador y proporciona el número de
; puerto que se debe usar. Con el modo cliente/servidor, es necesario usar el
; mismo número de puerto.
;----------------------------------------------------------------------
;/httpport-[número de puerto]

;----------------------------------------------------------------------
; Nombre de usuario para autenticar al solicitante de información HTTP.
;----------------------------------------------------------------------
;/httpuser-[ID de usuario]

;----------------------------------------------------------------------
; Contraseña de usuario para autenticar al solicitante de información HTTP.
;----------------------------------------------------------------------
;/httppassword-[contraseña]

;----------------------------------------------------------------------
;  Habilita SSL para HTTPS
;----------------------------------------------------------------------
;/httpssl-[enable | disable]


;================ CONMUTADORES PARA LA AUTENTICACIÓN LDAP =====================

;----------------------------------------------------------------------
;  Nombre de usuario LDAP
;  Este ID de usuario LDAP lo utiliza el Agente de mensajería para establecer la
;  conexión con el servidor LDAP con el fin de leer esta configuración. Utilice
;  el siguiente formato: "cn=ID_usuario,ou=grupo,ou=división,o=organización"
;----------------------------------------------------------------------
;/ldapuser-[Formato de nombre completo]  

;-----------------------------------------------------------------------
;  Contraseña para el usuario LDAP													
;-----------------------------------------------------------------------
;/ldappwd-[contraseña]        

;-----------------------------------------------------------------------
;  Dirección IP del servidor LDAP
;  Se trata de la dirección IP del servidor LDAP en formato con punto o en
;  formato DNS. Si se especifican varias direcciones de servidores de
;  autenticación LDAP, el servidor LDAP las utilizará para el modo de
;  recuperación de fallos. Las direcciones deben especificarse en este formato:
;  "123.3.4.1 123.4.5.2 123.3.4.5" con un espacio entre cada dirección.
;-----------------------------------------------------------------------
;/ldapipaddr-[dirección]  

;-----------------------------------------------------------------------
;  Número del puerto LDAP
;  El número del puerto que utiliza el servidor LDAP para la autenticación.
;  El valor por defecto es 389. Este conmutador se utiliza para especificar el
;  puerto LDAP para el modo de recuperación de fallos.
;------------------------------------------------------------------------ 
;/ldapport-[número]      

;------------------------------------------------------------------------
;  Habilita SSL para LDAP
;  Indica al Agente de mensajería si la autenticación LDAP usa
;  SSL para el modo de recuperación de fallos.
;------------------------------------------------------------------------
;/ldapssl               

;------------------------------------------------------------------------
;  Archivo de clave SSL para LDAP
;  Especifica el nombre de archivo de clave SSL como, por ejemplo, gwkey.der.
;  Este conmutador se usa para el modo de recuperación de fallos.
;------------------------------------------------------------------------
;/ldapsslkey-[nombre]    

;========================== FIN DEL ARCHIVO ===============================
