;======================================================================
;                   Agent de messagerie Novell Messenger 1.0
;                         Exemple de fichier de démarrage
;----------------------------------------------------------------------
;  Remplacez les valeurs entre crochets par vos valeurs.
;
;  Tous les paramètres facultatifs sont désactivés par l'insertion d'un point-
;  virgule devant eux. Pour activer le paramètre, supprimez le point-virgule.
;
;  Enregistrez-le au format ASCII.
;
;  Le même fichier de démarrage sert pour NetWare, Linux et Windows. L'agent
;  de messagerie Linux accepte le format de paramètre avec barre oblique
;  (par exemple, /home) en plus du double tiret standard de Linux 
;  (--home). L'agent de messagerie Linux attend que les chemins d'accès
;  soient fournis au format du système de fichiers standard de Linux.
;----------------------------------------------------------------------
;  Ce fichier d'exemple comprend deux sections :
;  1) Paramètres disponibles uniquement sous forme de paramètres de démarrage
;    - Général
;    - Spécifique au module téléchargeable NetWare (NLM)
;  2) Paramètres devant être modifiés depuis ConsoleOne
;     mais qui sont également disponibles sous forme de paramètres de démarrage
;    - Consignation d'événement
;    - Performances
;    - Client/Serveur
;======================================================================

;======================================================================
;                             SECTION 1 :
;             PARAMÈTRES DISPONIBLES UNIQUEMENT SOUS FORME DE PARAMÈTRES DE DÉMARRAGE
;======================================================================

;----------------------------------------------------------------------
;  DN de l'agent de messagerie
;  Exemple : CN=MessagingAgent,OU=NMServer1,OU=MessengerService,O=Novell
;----------------------------------------------------------------------
;/home-[Format DN]

;----------------------------------------------------------------------
;  Langue
;----------------------------------------------------------------------
;/language-[ EN | DE | JA ]

;----------------------------------------------------------------------
;  Utilisateur et mot de passe pour que l'agent lise les paramètres du répertoire
;----------------------------------------------------------------------
;/user-[ID utilisateur]
;/password-[mot de passe]


;====================== CONFIGURATION DU RÉPERTOIRE =======================

;----------------------------------------------------------------------
; Adresse IP de réplique du répertoire
; Adresse de réplique du répertoire.
;----------------------------------------------------------------------
;/dirreplicaipaddr-[adresse]

;----------------------------------------------------------------------
; Forcer la session utilisateur sur l'utilisation de l'accès direct
; Le mode répertoire pour l'accès des utilisateur est direct.
; Les profils LDAP sont ignorés.
;----------------------------------------------------------------------
;/diruserforcedirect

;----------------------------------------------------------------------
; Authentification de l'utilisateur du répertoire via une liaison
; L'authentification de l'utilisateur est effectuée via une liaison
; ou via une comparaison. La comparaison est la valeur par défaut.
;----------------------------------------------------------------------
;/diruserauthbind

;----------------------------------------------------------------------
; Temps de réinitialisation de la réserve de répertoire
; Temps qui s'écoule avant qu'un serveur posant problème
; soit remis en réserve.
;----------------------------------------------------------------------
;/dirpoolresettime-[minutes]

;----------------------------------------------------------------------
; Alias ID utilisateur du répertoire
; Attribut à utiliser au lieu de CN pour authentifier les utilisateurs,
; effectuer des recherches, etc.
;----------------------------------------------------------------------
;/diruseralias-[nom d'attribut]


;================ PARAMÈTRES DE PROTOCOLES DE TRANSFERT DE MESSAGES ==================

;----------------------------------------------------------------------
; Désactiver le protocole de transfert de messages pour cet agent
;----------------------------------------------------------------------
;/nomtp

;----------------------------------------------------------------------
; Timeout de connexion du MTP
; Durée, en secondes, d'une connexion avant qu'elle 
; ne se termine.
;----------------------------------------------------------------------
;/mtpconnecttimeout-[secondes]

;----------------------------------------------------------------------
; Timeout des données du MTP
; Durée, en secondes, pendant laquelle une requête attend des données avant
; qu'elle ne se termine.
;----------------------------------------------------------------------
;/mtpdatatimeout-[secondes]

;----------------------------------------------------------------------
; Numéro de port de la destination d'envoi du MTP
; Numéro de port auquel se lie le MTP pour le transfert 
; du fichier MTP.
;----------------------------------------------------------------------
;/mtpport-[numéro de port]

;----------------------------------------------------------------------
; Adresse IP de la destination d'envoi du MTP
; Adresse IP auquel se lie l'agent pour le transfert 
; du fichier MTP.
;----------------------------------------------------------------------
;/mtpipaddr-[adresse]


;======================= PARAMÈTRES SPÉCIFIQUES À $$$NLM ========================

;----------------------------------------------------------------------
;  Simple Network Management Protocol (SNMP)
;  Par défaut, SNMP est activé pour l'agent de messagerie.
;----------------------------------------------------------------------
;/nosnmp

;----------------------------------------------------------------------
;  Informer l'agent de messagerie qu'il s'exécute dans une grappe
;----------------------------------------------------------------------
;/cluster

;======================================================================
;                             SECTION 2 :
;                    PARAMÈTRES DISPONIBLES DANS ConsoleOne
;======================================================================

;====================== CONFIGURATION DU RÉPERTOIRE =======================

;----------------------------------------------------------------------
; Résultats maximum de la requête répertoire
; Nombre maximum de résultats renvoyés pour toute
; requête au répertoire.
;----------------------------------------------------------------------
;/dirquerymaxresults-[nombre]

;----------------------------------------------------------------------
; Inactivité avant timeout du répertoire
; Temps qui s'écoule avant qu'une connexion répertoire inactive
; se ferme.
;----------------------------------------------------------------------
;/diridletimeout-[secondes]

;----------------------------------------------------------------------
; Nombre maximal de connexions au répertoire
; Nombre maximal de connexions au répertoire
;----------------------------------------------------------------------
;/dirmaxconnections-[nombre]

;----------------------------------------------------------------------
; Nombre de connexions par défaut au répertoire
; Nombre par défaut de connexions au répertoire
;----------------------------------------------------------------------
;/dirdefaultconnections-[nombre]


;=========================== PARAMÈTRES DE CONSIGNATION =============================

;----------------------------------------------------------------------
;  Niveau de consignation
;  Consignation des erreurs uniquement (Normal), détails de base (Verbose)
;  ou détails complets (Diagnostic).
;----------------------------------------------------------------------
;/loglevel-[ Normal | Verbose | Diagnostic ]

;----------------------------------------------------------------------
;  Consignation sur disque
;  Désactivation de l'écriture du fichier journal sur le disque.
;----------------------------------------------------------------------
;/logdiskoff

;----------------------------------------------------------------------
;  Répertoire du journal
;----------------------------------------------------------------------
;/log-\\[serveur]\[volume]\[répertoire]

;----------------------------------------------------------------------
;  Âge max. du fichier journal
;  Durée (nombre de jours) pendant laquelle le fichier journal réside sur
;  le disque avant d'être automatiquement supprimé.
;----------------------------------------------------------------------
;/logdays-[jours]

;----------------------------------------------------------------------
;  Espace disque max. du journal
;  Quantité maximale d'espace disque (Mo) affectée à tous les fichiers journaux.
;----------------------------------------------------------------------
;/logmax-[Mo]

;===================== PARAMÈTRES DE CERTIFICAT SSL =======================

;----------------------------------------------------------------------
;  Activer SSL sur le canal de communications client/serveur
;----------------------------------------------------------------------
;/ssl-[enable | disable]

;----------------------------------------------------------------------
;  Certificat SSL
;  Certificat de serveur valide au format PEM ou PFX, obtenu auprès
;  d'une autorité de certification (CA).
;----------------------------------------------------------------------
;/certpath-\\[serveur]\[volume]\[répertoire]
;/certfile-\\[serveur]\[volume]\[répertoire]\[certificat]
;/keyfile-\\[serveur]\[volume]\[répertoire]\[clé privée]
;/keypassword-[mot de passe clé]

;====================== PARAMÈTRES CLIENT/SERVEUR ========================

;----------------------------------------------------------------------
;  Numéro de port TCP
;  Numéro de port où l'agent de messagerie écoute les 
;  requêtes client/serveur.
;  Le port par défaut est 8300.
;  Si vous avez plusieurs instances d'agents de messagerie gérant les requêtes
;  client/serveur s'exécutant sur la même machine, vous devez spécifier un port 
;  différent pour chaque instance.
;----------------------------------------------------------------------
;/port-[nombre]

;----------------------------------------------------------------------
;  Adresse TCP/IP
;  Adresse IP où l'agent de messagerie écoute les 
;  requêtes client/serveur. La valeur par défaut est la première que l'agent 
;  de messagerie peut trouver et qui est définie sur le serveur.
;  Ce paramètre demande à l'agent de messagerie d'écouter une adresse 
;  spécifique.
;----------------------------------------------------------------------
;/ip-[adresse]

;----------------------------------------------------------------------
;  Nombre maximal de connexions
;  Nombre de connexions client/serveur que le serveur autorise.
;  La valeur par défaut est 5120 (5K).
;----------------------------------------------------------------------
;/maxconns-[nombre]

;----------------------------------------------------------------------
;  Nombre de threads de traitement TCP
;  Nombre de threads que l'agent de messagerie reproduit pour la gestion des
;  requêtes client/serveur. La valeur par défaut est 15.
;----------------------------------------------------------------------
;/threads-[nombre]


;================ PARAMÈTRES DE PROTOCOLES DE TRANSFERT DE MESSAGES ==================

;----------------------------------------------------------------------
;  Répertoire de la file d'attente
;----------------------------------------------------------------------
;/queue-\\[serveur]\[volume]\[répertoire]


;================= PARAMÈTRES DE TRAITEMENT DES MESSAGES HTTP ===================

;----------------------------------------------------------------------
; Numéro de port HTTP
; Active HTTP pour les requêtes du navigateur et fournit le numéro de port à 
; utiliser. Lorsque le mode client/serveur est utilisé, le même numéro de port 
; doit être utilisé
;----------------------------------------------------------------------
;/httpport-[numéro de port]

;----------------------------------------------------------------------
; Nom d'utilisateur pour authentifier l'auteur d'une requête d'informations HTTP
;----------------------------------------------------------------------
;/httpuser-[ID utilisateur]

;----------------------------------------------------------------------
; Mot de passe pour authentifier l'auteur d'une requête d'informations HTTP
;----------------------------------------------------------------------
;/httppassword-[mot de passe]

;----------------------------------------------------------------------
;  Activer SSL pour HTTPS
;----------------------------------------------------------------------
;/httpssl-[enable | disable]


;=================== PARAMÈTRES D'AUTHENTIFICATION LDAP =====================

;----------------------------------------------------------------------
;  Nom d'utilisateur LDAP
;  Cet ID utilisateur LDAP est utilisé par l'agent de messagerie pour établir la 
;  connexion avec le serveur LDAP et lire sa configuration. Utilisez le format 
;  suivant : "cn=userid,ou=group,ou=division,o=organization"
;----------------------------------------------------------------------
;/ldapuser-[Format DN]

;-----------------------------------------------------------------------
;  Mot de passe de l'utilisateur LDAP
;-----------------------------------------------------------------------
;/ldappwd-[mot de passe]

;-----------------------------------------------------------------------
;  Adresse IP du serveur LDAP
;  Adresse IP du serveur LDAP en notation à points ou au format DNS. Si 
;  plusieurs adresses de serveurs d'authentification LDAP sont spécifiées, elles
;  sont utilisées par le serveur LDAP en reprise après échec. Les adresses 
;  doivent être spécifiées dans ce format : "123.3.4.1 123.4.5.2 123.3.4.5" 
;  avec un espace entre chaque adresse.
;-----------------------------------------------------------------------
;/ldapipaddr-[adresse]

;-----------------------------------------------------------------------
;  Numéro de port LDAP
;  Numéro de port que le serveur LDAP écoute pour authentification.
;  La valeur par défaut est 389. Ce paramètre est utilisé pour spécifier 
;  le port LDAP pour la reprise après échec.
;------------------------------------------------------------------------
;/ldapport-[nombre]

;------------------------------------------------------------------------
;  Activer SSL pour LDAP
;  Indique à l'agent de messagerie si l'authentification LDAP utilise 
;  SSL pour la reprise après échec.
;------------------------------------------------------------------------
;/ldapssl

;------------------------------------------------------------------------
;  Fichier de clés SSL LDAP
;  Spécifie le nom du fichier de clés SSL, par exemple gwkey.der. Ce paramètre 
;  est utilisé pour la reprise après échec.
;------------------------------------------------------------------------
;/ldapsslkey-[nom]

;========================== FIN DU FICHIER ===============================
