;======================================================================
;                   Agente de Mensagens do Novell Messenger 1.0
;                         Exemplo de arquivo de inicialização
;----------------------------------------------------------------------
;  Substitua os valores entre colchetes pelos seus próprios valores.
;
;  Todos os switches opcionais são desabilitados com a colocação de ponto-e-vírgula na frente
;  de cada um.  Remova o ponto-e-vírgula para habilitar o switch.
;
;  Grave em formato ASCII.  
;
;  O mesmo arquivo de inicialização é usado no NetWare, Linux e Windows. O
;  Agente de Mensagens do Linux aceita o formato de switch com barra
;  (por exemplo, /home), além do formato padrão de switch com hífen duplo 
;  do Linux (--home). O Agente de Mensagens do Linux espera que os nomes de caminho
;  sejam fornecidos no formato padrão de sistema de arquivos do Linux.
;----------------------------------------------------------------------
;  Este exemplo de arquivo está dividido em duas seções:
;  1) Configurações disponíveis apenas como switches de inicialização
;    - Geral
;    - Específico do NetWare Loadable Module (NLM)
;  2) Configurações que devem ser modificadas no ConsoleOne,
;     mas que também estão disponíveis como switches de inicialização.
;    - Registro de Eventos
;    - Desempenho
;    - Cliente/Servidor
;======================================================================

;======================================================================
;                             SEÇÃO 1:
;             CONFIGURAÇÕES DISPONÍVEIS APENAS COMO SWITCHES DE INICIALIZAÇÃO
;======================================================================

;----------------------------------------------------------------------
;  DN do Agente de Mensagens 
;  Exemplo: CN=MessagingAgent,OU=NMServer1,OU=MessengerService,O=Novell
;----------------------------------------------------------------------
;/home-[Formato de DN]

;----------------------------------------------------------------------
;  Idioma
;----------------------------------------------------------------------
;/language-[ EN | DE | JA ]

;----------------------------------------------------------------------
;  Usuário e Senha para o Agente Ler as Configurações do Diretório
;----------------------------------------------------------------------
;/user-[ID do usuário]
;/password-[senha]


;====================== CONFIGURAÇÃO DE DIRETÓRIO =======================

;----------------------------------------------------------------------
; Endereço IP da Réplica de Diretório
; Especifica o endereço da réplica do diretório.
;----------------------------------------------------------------------
;/dirreplicaipaddr-[endereço]

;----------------------------------------------------------------------
; Forçar o Uso Direto da Sessão do Usuário
; Especifica o modo de diretório direto para o acesso do usuário.
; Isso faz com que os perfis LDAP sejam ignorados.
;----------------------------------------------------------------------
;/diruserforcedirect

;----------------------------------------------------------------------
; Autenticação de Usuário do Diretório por Vinculação
; Especifica se a autenticação de usuário é realizada por um vínculo ou uma
; comparação. O padrão é a comparação.
;----------------------------------------------------------------------
;/diruserauthbind

;----------------------------------------------------------------------
; Tempo para Redefinição do Pool de Diretórios
; Especifica o período de tempo antes de colocar o servidor com problema de volta no 
; pool.
;----------------------------------------------------------------------
;/dirpoolresettime-[minutos]

;----------------------------------------------------------------------
; Álias do ID de Usuário do Diretório
; Especifica o atributo a ser usado, em vez do CN, para as autenticações de usuário,
; pesquisas etc.
;----------------------------------------------------------------------
;/diruseralias-[nome do atributo]


;================ SWITCHES DO MESSAGE TRANSFER PROTOCOL ==================

;----------------------------------------------------------------------
; Desativar MTP (Message Transfer Protocol) para este Agente
;----------------------------------------------------------------------
;/nomtp

;----------------------------------------------------------------------
; Tempo de Espera de Conexão do MTP
; Especifica, em segundos, a duração de uma conexão antes que se esgote
; seu tempo de espera.
;----------------------------------------------------------------------
;/mtpconnecttimeout-[segundos]

;----------------------------------------------------------------------
; Tempo de Espera de Dados do MTP
; Especifica, em segundos, quanto tempo uma solicitação aguarda pelos dados antes 
; que se esgote seu tempo de espera.
;----------------------------------------------------------------------
;/mtpdatatimeout-[segundos]

;----------------------------------------------------------------------
; Número da Porta de Destino de Envio do MTP
; Especifica o número da porta à qual o MTP se vincula para a transferência de arquivos
; do MTP.
;----------------------------------------------------------------------
;/mtpport-[número da porta]

;----------------------------------------------------------------------
; Endereço IP de Destino de Envio do MTP
; Especifica o endereço IP ao qual o agente se vincula para a transferência de arquivos
; do MTP.
;----------------------------------------------------------------------
;/mtpipaddr-[endereço]


;======================= SWITCHES ESPECÍFICOS DO NLM ========================

;----------------------------------------------------------------------
;  Simple Network Management Protocol (SNMP)
;  Por padrão, o Agente de Mensagens está habilitado para SNMP.
;----------------------------------------------------------------------
;/nosnmp

;----------------------------------------------------------------------
;  Informar o Agente de Mensagens de que ele está sendo Executado em cluster
;----------------------------------------------------------------------
;/cluster

;======================================================================
;                             SEÇÃO 2:
;                    CONFIGURAÇÕES DISPONÍVEIS NO ConsoleOne
;======================================================================

;====================== CONFIGURAÇÃO DE DIRETÓRIO =======================

;----------------------------------------------------------------------
; Máximo de Resultados da Consulta de Diretório
; Especifica o número máximo de resultados que são retornados com relação a qualquer
; solicitação no diretório.
;----------------------------------------------------------------------
;/dirquerymaxresults-[número]

;----------------------------------------------------------------------
; Tempo de Inatividade do Diretório
; Especifica o período de tempo antes do fechamento de uma conexão de diretório
; inativa.
;----------------------------------------------------------------------
;/diridletimeout-[segundos]

;----------------------------------------------------------------------
; Número Máximo de Conexões do Diretório
; Especifica o número máximo de conexões do diretório
;----------------------------------------------------------------------
;/dirmaxconnections-[número]

;----------------------------------------------------------------------
; Padrão de Conexões do Diretório
; Especifica o número padrão de conexões do diretório
;----------------------------------------------------------------------
;/dirdefaultconnections-[número]


;=========================== SWITCHES DE REGISTRO =============================

;----------------------------------------------------------------------
;  Nível de Registro
;  Seleciona apenas o registro de erros (Normal), os detalhes básicos (Verbose)
;  ou os detalhes completos (Diagnostic).
;----------------------------------------------------------------------
;/loglevel-[ Normal | Verbose | Diagnostic ]

;----------------------------------------------------------------------
;  Registro em Disco
;  Desabilita a gravação do arquivo de registro em disco.
;----------------------------------------------------------------------
;/logdiskoff

;----------------------------------------------------------------------
;  Diretório de Registro
;----------------------------------------------------------------------
;/log-\\[servidor]\[volume]\[diretório]

;----------------------------------------------------------------------
;  Duração Máxima do Arquivo de Registro
;  Determina quanto tempo (número de dias) um arquivo de registro reside no disco
;  antes de ser apagado automaticamente.
;----------------------------------------------------------------------
;/logdays-[dias]

;----------------------------------------------------------------------
;  Espaço Máximo do Disco de Registro
;  Determina o espaço máximo em disco (megabytes) usado para todos os arquivos de registro.
;----------------------------------------------------------------------
;/logmax-[mb]

;===================== SWITCHES DE CERTIFICADO SSL =======================

;----------------------------------------------------------------------
;  Habilitar o SSL no Canal de Comunicação de Cliente/Servidor
;----------------------------------------------------------------------
;/ssl-[enable | disable]

;----------------------------------------------------------------------
;  Certificado SSL
;  Certificado de servidor válido em formato PEM ou PFX obtido por uma
;  Autoridade de Certificação (CA).
;----------------------------------------------------------------------
;/certpath-\\[servidor]\[volume]\[diretório]
;/certfile-\\[servidor]\[volume]\[diretório]\[certificado]
;/keyfile-\\[servidor]\[volume]\[diretório]\[chave privada]
;/keypassword-[senha da chave]

;====================== SWITCHES DE CLIENTE/SERVIDOR ========================

;----------------------------------------------------------------------
;  Número da Porta TCP
;  Especifica o número da porta em que o Agente de Mensagens escuta 
;  solicitações de cliente/servidor.
;  A porta padrão é 8300.
;  Se você tiver várias instâncias do Agente de Mensagens atendendo às solicitações de cliente/servidor 
;  em execução na mesma máquina, especifique uma porta diferente para 
;  cada instância.
;----------------------------------------------------------------------
;/port-[número]

;----------------------------------------------------------------------
;  Endereço TCP IP
;  Especifica o endereço IP no qual o Agente de Mensagens escuta 
;  solicitações de cliente/servidor. O padrão é o primeiro endereço definido no servidor e que o Agente de Mensagens 
;  pode localizar.
;  Esse switch avisa o Agente de Mensagens para escutar um 
;  endereço específico.
;----------------------------------------------------------------------
;/ip-[endereço]

;----------------------------------------------------------------------
;  Nº Máximo de Conexões
;  Número de conexões de cliente/servidor permitido pelo servidor.
;  O padrão é 5120 (5K).
;----------------------------------------------------------------------
;/maxconns-[número]

;----------------------------------------------------------------------
;  Número de Processos de TCP
;  Define a quantidade de processos gerados pelo Agente de Mensagens para manipular
;  solicitações de cliente/servidor. O padrão é 15.
;----------------------------------------------------------------------
;/threads-[número]


;================ SWITCHES DO MESSAGE TRANSFER PROTOCOL ==================

;----------------------------------------------------------------------
;  Diretório da Fila
;----------------------------------------------------------------------
;/queue-\\[servidor]\[volume]\[diretório]


;================= SWITCHES DE PROCESSAMENTO DE MENSAGENS HTTP ===================

;----------------------------------------------------------------------
; Número da Porta HTTP
; Habilita o uso de HTTP para consultas de browser e fornece o número da porta 
; a ser usado. Ao usar o modo cliente/servidor, o mesmo número da porta deve ser 
; usado
;----------------------------------------------------------------------
;/httpport-[número da porta]

;----------------------------------------------------------------------
; Nome do Usuário para Autenticação do Requester de Informações HTTP
;----------------------------------------------------------------------
;/httpuser-[ID do usuário]

;----------------------------------------------------------------------
; Senha do Usuário para Autenticação do Requester de Informações HTTP
;----------------------------------------------------------------------
;/httppassword-[senha]

;----------------------------------------------------------------------
;  Habilitar SSL para HTTPS
;----------------------------------------------------------------------
;/httpssl-[enable | disable]


;=================== SWITCHES DE AUTENTICAÇÃO LDAP =====================

;----------------------------------------------------------------------
;  Nome do Usuário LDAP
;  O ID do usuário LDAP é usado pelo Agente de Mensagens para estabelecer conexão com o 
;  servidor LDAP e fazer a leitura de suas configurações. Use o formato 
;  a seguir: "cn=ID_usuário,ou=grupo,ou=divisão,o=organização"
;----------------------------------------------------------------------
;/ldapuser-[Formato de DN]  

;-----------------------------------------------------------------------
;  A Senha para o Usuário LDAP													
;-----------------------------------------------------------------------
;/ldappwd-[senha]        

;-----------------------------------------------------------------------
;  Endereço IP do Servidor LDAP
;  Endereço IP do servidor LDAP em formato de pontos ou DNS.  Se vários
;  endereços de servidores de autenticação LDAP forem especificados, eles serão usados
;  pelo servidor LDAP com tolerância a falhas. Os endereços devem ser especificados 
;  neste formato: "123.3.4.1 123.4.5.2 123.3.4.5" com um espaço entre 
;  cada endereço.
;-----------------------------------------------------------------------
;/ldapipaddr-[endereço]  

;-----------------------------------------------------------------------
;  Número da Porta LDAP
;  O número da porta de escuta do servidor LDAP para autenticação.
;  O padrão é 389. Esse switch é usado para especificar a porta LDAP no 
;  modo de tolerância a falhas.
;------------------------------------------------------------------------ 
;/ldapport-[número]      

;------------------------------------------------------------------------
;  Habilitar SSL para LDAP
;  Indica ao Agente de Mensagens se esta autenticação LDAP está 
;  usando o SSL no modo de tolerância a falhas.
;------------------------------------------------------------------------
;/ldapssl               

;------------------------------------------------------------------------
;  Arquivo de Chave SSL do LDAP
;  Especifica o nome do arquivo da chave SSL, como gwkey.der. Esse switch é usado 
;  no modo de tolerância a falhas.
;------------------------------------------------------------------------
;/ldapsslkey-[nome]    

;========================== FIM DO ARQUIVO ===============================
